Package org.apache.synapse.commons.handlers

## Class HandlerResponse

- java.lang.Object
- - org.apache.synapse.commons.handlers.HandlerResponse

-     public class HandlerResponse
      extends Object

  DTO class to hold response information of an Inbound endpoint handler execution.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HandlerResponse()` |
    `HandlerResponse​(boolean isError, int errorCode, String errorMessage, boolean closeConnection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getErrorCode()` |
    `String` | `getErrorMessage()` |
    `String` | `getErrorResponseString()` |
    `boolean` | `isCloseConnection()` |
    `boolean` | `isError()` |
    `void` | `setCloseConnection​(boolean closeConnection)` |
    `void` | `setError​(boolean error)` |
    `void` | `setErrorCode​(int errorCode)` |
    `void` | `setErrorMessage​(String errorMessage)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlerResponse

          public HandlerResponse​(boolean isError,
                                 int errorCode,
                                 String errorMessage,
                                 boolean closeConnection)

    - #### HandlerResponse

          public HandlerResponse()

  - ### Method Detail

    - #### isError

          public boolean isError()

    - #### setError

          public void setError​(boolean error)

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage​(String errorMessage)

    - #### isCloseConnection

          public boolean isCloseConnection()

    - #### setCloseConnection

          public void setCloseConnection​(boolean closeConnection)

    - #### getErrorCode

          public int getErrorCode()

    - #### setErrorCode

          public void setErrorCode​(int errorCode)

    - #### getErrorResponseString

          public String getErrorResponseString()